Retrieve webhook
curl --request GET \
--url https://api.sendo.dev/v1/webhook/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sendo.dev/v1/webhook/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sendo.dev/v1/webhook/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"webhook": {
"id": "d3392dbf-ae4b-43b9-9b50-dcafa5c7h4mn",
"createdAt": "2023-12-31T03:07:35.826Z",
"name": "Event Service",
"url": "https://website.com/webhook",
"campaignId": "g1tkV7Eq",
"signature": "aVWS7HTLR9xxMkdE",
"eventTypes": [
"message.incoming",
"message.status"
],
"numbers": [
"+14159436397"
]
}
}
{
"error": "Webhook not found"
}
Webhook
Retrieve webhook
Retrieve webhook for a campaign.
GET
/
v1
/
webhook
/
{id}
Retrieve webhook
Parameters
string
required
The ID of the webhook to retrieve.
Response
object
The details of the webhook.
Show webhook fields
Show webhook fields
string
The ID of the webhook.
timestamp
The time the webhook was created
string
The name of the webhook (optional).
string
The URL of the webhook.
string
The campaign ID for the webhook.
string
The signature sent with events. (read more)
string
The events the webhook will receive. (read more)
string[]
The phone numbers the webhook is subscribed to.
{
"webhook": {
"id": "d3392dbf-ae4b-43b9-9b50-dcafa5c7h4mn",
"createdAt": "2023-12-31T03:07:35.826Z",
"name": "Event Service",
"url": "https://website.com/webhook",
"campaignId": "g1tkV7Eq",
"signature": "aVWS7HTLR9xxMkdE",
"eventTypes": [
"message.incoming",
"message.status"
],
"numbers": [
"+14159436397"
]
}
}
{
"error": "Webhook not found"
}
⌘I

